> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Random Coin

> Flip a coin (optionally biased).



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/random/coin
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/random/coin:
    get:
      tags:
        - Random Generators
      summary: Random Coin
      description: Flip a coin (optionally biased).
      operationId: random_coin_v1_random_coin_get
      parameters:
        - name: count
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: Number of coin flips
            default: 1
            title: Count
          description: Number of coin flips
        - name: bias
          in: query
          required: false
          schema:
            type: number
            maximum: 1
            minimum: 0
            description: Probability of heads (0.5 = fair coin)
            default: 0.5
            title: Bias
          description: Probability of heads (0.5 = fair coin)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````